# ironicclient.v1.client module

class ironicclient.v1.client.Client(endpoint_override=None, *args, **kwargs)

  Bases: `object`

  Client for the Ironic v1 API.

  Parameters:

    - endpoint_override (string) – A user-supplied endpoint URL for the ironic service.

    - session – A keystoneauth Session object (must be provided as a keyword argument).

  property current_api_version

    Return the current API version in use.

    This returns the version of the REST API that the API client is presently set to request. This value may change as a result of API version negotiation.

  property is_api_version_negotiated

    Returns True if microversion negotiation has occurred.

  negotiate_api_version()

    Triggers negotiation with the remote API endpoint.

    Returns:

      the negotiated API version.

this page last updated: 2026-02-27 11:39:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug